##### dynamic_vector_buffer::data (1 of 3 overloads)

DynamicBuffer_v1: Get a list of buffers that represents the input sequence.

    const_buffers_type data() const;

###### Return Value

An object of type `const_buffers_type` that satisfies ConstBufferSequence requirements, representing the vector memory in the input sequence.

###### Remarks

The returned object is invalidated by any `dynamic_vector_buffer` or `vector` member function that modifies the input sequence or output sequence.